DO $$ 
	DECLARE _path character varying(256) = 'patch-2025-01-21-UserEmails-Login';

	BEGIN
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
			RETURN;
		END IF;

		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=14652) THEN
			RETURN;
		END IF;

		BEGIN
			ALTER TABLE public."UserEmails" ADD "Login"  character varying(512) NULL;

 
 			INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);

			EXCEPTION
				WHEN OTHERS THEN RAISE NOTICE '[ERR] patch-2025-01-21-UserEmails-Login: %', SQLERRM;
		END;
	END;
$$ 